* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --first-bg-color: #fff;
  --second-bg-color: #f2f2f2;
  --third-bg-color: #e8e8e8;
  --light-text: rgb(227, 227, 227);
  --light-border: 0.5px solid rgba(227, 227, 227);
  --box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
}

body {
  max-width: 100vw;
  height: 100vh;
  overflow-x: hidden;
  scroll-behavior: smooth;
  user-select: none;
}

p {
  margin-bottom: 0;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: #000;
}

/* ========= Navbar ========= */

.nav-container {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem;
}

nav {
  background-color: #fff;
  padding: 0.5rem 3rem;
  border-bottom: 0.5px solid rgb(227, 227, 227);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10;
}

.logo {
  height: auto;
  width:2.5rem;
}

.logo img {
  height: 100%;
}

.nav-header {
   line-height:2.5rem;
}

/* ========== Cart-section ========== */

.openLoginPopup {
    background-color: #6d42e5;
}

.openLoginPopup:hover {
    background-color: #7547f3;
}

.cart-page {
  padding-top: 6rem;
  display: flex;
  align-items: flex-start;
  gap: 2rem;
}

.cart-page-tab {
  padding: 1rem;
  width: 50%;
  height: 100%;
}

.contact-section {
  position: sticky;
  top: 6rem;
}

.cart-login-tab {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  border-radius: 0.5rem;
  border: var(--light-border);
}

.cart-login-tab button {
  width: 100%;
}

/* ============ Main cart ============= */

.main-cart {
  padding-inline: 0.5rem;
  align-items: start;
  box-shadow: 0px 4px 12px rgba(15, 15, 15, 0.08);
  position: relative;
}

.cart-detail-price {
  text-align: center;
}

.cart-total-price {
  width: 100%;
}

.cart-total-price a {
  width: 99%;
  margin-inline: auto;
  display: flex;
  justify-content: space-between;
  border-radius: 0.25rem;
  font-weight: 600;
  color: #fff;
  background-color: #6d42e5;
}

.cart-total-price a:hover {
  background-color: #7547f3;
}

.cart-section {
  padding: 1rem;
  width: 50%;
  height: 100%;
}

.cart-page-tab {
  padding: 0;
}

.cart-login-tab {
  padding: 1rem;
}

/* ============ Login container ============= */

.login-popup {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.3);
  z-index: 1000;
  width: 100vw;
  display: none;
}

.login-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 1rem;
  background: transparent;
}

.step {
  width: 50%;
}

.login-main-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
}

.login-box {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem;
  border-radius: 0.75rem;
  background-color: #fff;
  border: var(--light-border);
  max-height: 80vh;
  overflow-y: auto;
  position: relative;
}

::-webkit-scrollbar {
  overflow: hidden;
}

.login-box i {
  font-size: 1.5rem;
}

.call-icon i {
  font-size: 2rem;
}

.login-inputs {
  padding: 0.5rem 1.25rem;
  border-radius: 0.5rem;
  border: var(--light-border);
  color: var(--light-text);
}

.login-inputs span {
  display: inline-flex;
  align-items: center;
  gap: 0.25rem;
  padding-right: 1rem;
  border-right: var(--light-border);
}

.login-inputs span i {
  font-size: 1rem;
}

.login-inputs input {
  margin-left: 1rem;
  padding: 0.25rem;
  width: 75%;
  border: none;
  outline: none;
  font-size: 1rem;
}

.login-btn button {
  width: 100%;
  cursor: pointer;
}

.login-terms p {
  font-size: 0.9rem;
}

.login-terms a {
  text-decoration: underline;
}

/* ---- login cancle btn ----- */

.login-cancle-btn {
  height: 2rem;
  width: 2rem;
  border-radius: 50%;
  background-color: #fff;
  text-align: center;
  line-height: 2rem;
  cursor: pointer;
  align-self: flex-end;
  margin-right: 1rem;
}

#backBtn {
    cursor: pointer;
}

/* -------- OTP section ------- */

.otp-boxes {
  display: flex;
  justify-content: flex-start;
  gap: 0.75rem;
  border: none;
  padding: 0;
}

.otp-boxes input {
  margin-left: 0;
  width: 3rem;
  height: 3rem;
  text-align: center;
  padding: 0.5rem;
  border-radius: 0.5rem;
  border: var(--light-border);
}

.login-inputs input::-webkit-inner-spin-button,
.login-inputs input::-webkit-outer-spin-button {
  display: none;
}

/* ================= After Login ================= */

.after-login {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  display: none;
}

.after-login-details {
  border-radius: 0.5rem;
  border: var(--light-border);
}

.detail-content {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.5rem;
}

.detail-icon {
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 0.2rem;
  line-height: 2.5rem;
  font-size: 1.25rem;
  text-align: center;
  background-color: var(--second-bg-color);
}

.detail-icon i {
  color: rgb(117, 117, 117);
}

.login-address-heading {
  font-size: 0.9rem;
}

.verify-number,
.userAddress,
.timeSlot {
  font-size: 0.9rem;
  color: rgb(117, 117, 117);
}

.after-login-details .details {
  border-bottom: 0.5px solid rgb(227, 227, 227);
}

.after-login-details .details:last-child {
  border-bottom: none;
}

.detail-container {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.select-address {
  width: 100%;
}

.after-login-content {
  padding-left: 1rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.after-login-content h5 {
  font-size: 1.25rem;
}

.after-login-content p {
  font-size: 0.875rem;
}

.after-login-content a {
  font-size: 0.9rem;
  text-decoration: underline;
}

.select-payment {
  display: none;
}

/* ============ After Login take Location ============= */
.formContainer {
  max-width: 500px;
}

.formContainer-details {
  display: flex;
  align-items: center;
  margin-bottom: 1.5rem;
}

.address-form-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

.formInputCon {
  display: flex;
  flex-direction: column;
}

.formContainer-details h4 {
  margin: 0 auto 0 20px;
}

.formContainer-details .fa-arrow-left {
  cursor: pointer;
  padding: 10px;
  border-radius: 50%;
  transition: background-color 0.3s;
  visibility: hidden;
}

.formContainer-details .fa-arrow-left:hover {
  background-color: #f0f0f0;
}

.formContainer-details .fa-arrow-left.visible {
  visibility: visible;
}

.button-group {
  display: flex;
  gap: 10px;
  margin-bottom: 15px;
}

.button-group button {
  flex: 1;
  padding: 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.selected {
  background-color: #008cff;
  color: white;
}

#user-info input, #address-info input,select {
  width: 100%;
  padding: 12px;
  margin: 8px 0;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-sizing: border-box;
}

#address-info input:focus , #user-info input , select:focus {
  outline: none;
  border-color: #008cff;
  box-shadow: 0 0 3px rgba(0, 140, 255, 0.3);
}


.confirm-btn {
  background-color: #007bff;
  color: white;
  border: none;
  padding: 12px;
  width: 100%;
  margin-top: 15px;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
  transition: background-color 0.3s;
}

.confirm-btn:hover {
  background-color: #0056b3;
}

.hidden {
  display: none;
}

.user-info a {
  color: #007bff;
  text-decoration: none;
}

.user-info a:hover {
  text-decoration: underline;
}

.error-message {
  color: red;
  font-size: 12px;
  margin-top: -5px;
  display: none;
}

.error-message.visible {
  display: block;
}

.address-info input.error {
  border-color: red;
}

/* ============ After Login take Slot ============= */

.after-location {
  padding-block: 2rem 0;
}

.select-slot {
  display: none;
}

.arrive-date-tab {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  width: 100%;
}

.tab {
  height: 4rem;
  width: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.5rem;
  border: var(--light-border);
  cursor: pointer;
}

.tab.active {
  border-color: rgb(117, 71, 243);
}

.content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.25rem;
  font-size: 0.9rem;
}

.content .date {
  font-weight: 700;
}

.arrive-timing {
  padding-right: 1rem;
}

.time-slot {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 1rem;
  align-items: center;
  justify-content: space-between;
  display: none;
}

.time-slot.active {
  display: grid;
}

.time {
  height: 3rem;
  line-height: 3rem;
  text-align: center;
  width: 100%;
  border-radius: 0.5rem;
  border: var(--light-border);
  cursor: pointer;
  position: relative;
}

.time.selected {
  border-color: rgb(117, 71, 243);
}

.extra-price {
  position: absolute;
  top: -0.75rem;
  right: -0.5rem;
  font-size: 0.65rem;
  color: chocolate;
  font-weight: 600;
  border-radius: 0.25rem;
  line-height: 1.2rem;
  background-color: rgb(255, 246, 227);
}

.time:active {
  border: 0.5px solid rgb(117, 71, 243);
}

.checkoutBtn::before {
  border-top: var(--light-border);
}

.checkoutBtn {
  width: 100%;
  position: sticky;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 1rem;
  background-color: #fff;
  border-top: var(--light-border);
}

.checkoutBtn button {
  width: 100%;
}

.checkoutBtn button:hover {
  background-color: #0056b3;
}

/* ============ Payment Box ============ */

.payment-box {
  gap: 0;
}

.fullbg {
  width: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  padding: 1rem;
  margin-inline: auto;
}

.payment-option {
  margin-inline: auto;
}

.payment-top {
  display: flex;
  align-items: center;
  gap: 1.5rem;
  padding-bottom: 1rem;
  border-bottom: var(--light-border);
}

.payment-methods {
  display: flex;
  flex-direction: column;
}

.payment-method {
  border-bottom: 5px solid rgb(227, 227, 227);
  padding-block: 1rem;
}

.payment-method h5 {
  margin-bottom: 1rem;
}

.payment-item {
  display: grid;
  grid-template-columns: 3rem 1fr 2rem;
  align-items: center;
  gap: 0.75rem;
}

.payment-item-icon {
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 0.5rem;
  border: var(--light-border);
}

.payment-item i {
  font-size: 1rem;
}
